Subject: Re: [Trans] RFC6962 BIS Log file encodings.

From: Eran Messeri <[email-masked]>
Date: Wed, 2 Jul 2014 12:08:34 +0100

On Tue, Apr 1, 2014 at 10:33 AM, Ben Laurie <[email-masked]> wrote:

> On 1 April 2014 09:30, Gervase Markham <[email-masked]> wrote:
> > On 31/03/14 17:16, Stephen Kent wrote:
> >> know how to process ASN.1), and since the consumers of the data are
> >> browsers who already
> >> process certs, it seems reasonable to stick with ASN.1.
> >
> > AIUI, when a browser receives a cert, it will need to reconstruct the
> > pre-cert in order to check that the SCT (which is a signature over the
> > pre-cert) is valid. If that is the case, is it not true that browsers
> > will need to develop some way of _encoding_ ASN.1 which they did not
> > need to have before?
> >
> > (I may well be wrong about this; please correct me if so.)
>
> No, you are right.
>
This is for a very specific case, and encoding ASN.1 For this specific
purpose is much more manageable than a general-purpose ASN.1 encoder. For
those concerned, the code (and tests) for Chrome can be found here:
https://code.google.com/p/chromium/codesearch#chromium/src/net/cert/ct_serialization.cc&sq=package:chromium

>
> _______________________________________________
> Trans mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/trans
>